from django.urls import path
from .views import BookListView, BookDetailView, AuthorListView, AuthorDetailView

urlpatterns = [
    path('books/', BookListView.as_view(), name='book-list'),
    path('book/<int:pk>/details', BookDetailView.as_view(), name='bookitem'),
    path('authors/', AuthorListView.as_view(), name= 'author-list'),
    path('authors/<int:pk>/details', AuthorDetailView.as_view(), name="authoritem")
]

app_name='bookshelf'